Subject: Re: [Ltru] Re: draft-ietf-ltru-4646bis-09.txt

From: Elisabeth Porteneuve <[email-masked]>
Date: Thu, 29 Nov 2007 18:23:48 +0100 (MET)

Greetings,

First of all - many thanks to Randy for sorting out ltru list
problem (not accepting my posts).

Below are 3 answers.

1. ==================================================================
 From: "Doug Ewell" <[email-masked]>
 Date: Wed, 28 Nov 2007 22:50:05 -0800
 
 I agree with Elisabeth Porteneuve that we should be referencing the 2006 
 version of ISO 3166, and not the 1997 version.
 
--
Thanks.
 
2. ==================================================================
 From: "Frank Ellermann" <[email-masked]>
 Date: Thu, 29 Nov 2007 16:32:38 +0100
 
 Doug Ewell wrote:
 
 > we should be referencing the 2006 version of ISO 3166, 
 > and not the 1997 version.
 
 Ugh, the approved Netnews RFC also still has 1997.  Does
 the 2006 version already specify an expiration period of
 at least 50 years ?
 
  Frank

--
Yes.

Quoting the ISO-3166-1:2006 
   7.5.2 Reallocation period

   Code elements that the ISO 3166/MA has altered or
   deleted should not be reallocated during a period of
   at least fifty years after the change. The exact
   period is determined in each case on the basis of
   the extent to which the former code element was
   used.

3. ==================================================================
 Date: Thu, 29 Nov 2007 10:33:26 -0500
 From: John Cowan <[email-masked]>
 
 Elisabeth Porteneuve scripsit:
 
 > Eventually I would stress out that a compilation of language subtags 
 > MUST provide information on date of its ISO's sources, at least as far as 
 > ISO 3166-1 table is concerned. 
 
 I agree that these editorial issues should be fixed.
 
 > Finally the IETF draft makes a provision to synchronise the ISO-3166 tables 
 > with UN M.49 ones, assuming or suggesting that those two organisations does 
 > not check together. The fact is that the ISO 3166-1 table is made, among other, 
 > with alpha-2, alpha-3 and M.49 codes. 
 
 The point here is that the alpha-2 tags are a very scarce resource, and as
 countries change names, the alpha-2 tags change with them.  Eventually
 (despite the 50-year delay) tags will have to be reused; since we do
 not wish to allow this, we make provision for using M.49 codes instead
 of reusing existing codes.
 
-- 
Indeed, the alpha-2 tags are a very scarce ressource, but is also used
very carrefully:

Quoting Gerard Lang's (ISO 3166/MA Chairman) today's, Nov 29th 2007 note:

  Since ISO 3166-1 was established in 1974, it has made use 
  of the 246 codes currently in force and 25 codes that were 
  in force previously but are no longer used.
  This means that the standard has effectively used up 
  246 + 25 = 271/676 = 40.01 % of the theoretical coding capacity and, 
  in practice, 271/633 = 42.81 % of the internal usable coding capacity.

Let me add one comment.

The world instability was not created by ISO 3166/MA neither by UN, 
but recorded by both.
United Nations are using the geographical distribution which was 
established as a result of the second world war. The same stands
for ISO 3166/MA.
All change of the world in Europe in 1990's until the most recent
split into Serbia and Montenegro are related to the second world war.
To some extent the second war is being finished now.

I am optimistic, at least as far as Europe is concerned, to not see
much changes in country codes.

Concerning languages, I noted the inflation related to the former 
Yugoslavia split - the Serbo-Croatian, or Yugoslavian, was replicated 
with N different names. That is of course politically sad, as all people 
from the former Yugoslavia speaks Yugoslavian, Southern Slavic language 
(yug=south). But we cannot anything.

Eventually, I would be happy to answer any questions related to ISO 3166/MA
or ISO 3166-1 tables, or to provide in advance information when changes
may arise. Please feel free to ask me directly (I will unsubscribe from 
ltru list shortly, going back to browsing archives from time to time).

Kind regards,
Elisabeth Porteneuve

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru